## com.bbn.openmap.layer.util.html
Class WrapElement

    java.lang.Object
      com.bbn.openmap.layer.util.html.WrapElement

All Implemented Interfaces:
  Element

Direct Known Subclasses:
  HeaderElement, TableDataElement, TableHeaderElement, TableRowElement

public class WrapElement
extends java.lang.Object
implements Element

This class is used for html tags that are begin/end paired. For example, the html `<code>wrapped element</code>` would have a wrapString of code, and an element of "wrapped element"

Field Summary
`protected Element` `e` the element that gets wrapped
`protected java.lang.String` `paramString` params for the tag open
`protected java.lang.String` `wrapString` the html tag to "wrap" around the contained element

Constructor Summary
`WrapElement(java.lang.String wrapString)` Construct a WrapElement with just a wrapping string
`WrapElement(java.lang.String wrapString, Element e)` Construct a WrapElement with a wrapping string and element
`WrapElement(java.lang.String wrapString, java.lang.String paramString)` Construct a WrapElement with a wrapping string and params
`WrapElement(java.lang.String wrapString, java.lang.String paramString, Element e)` Construct a WrapElement with a wrapping string, params and element

Method Summary
`void` `generate(java.io.Writer out)` convert representation to html and write it out
`Element` `getElement()` Accessor for the element attribute
`void` `setElement(Element e)` Writer for the Element attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### wrapString

    protected java.lang.String wrapString

  the html tag to "wrap" around the contained element

### paramString

    protected java.lang.String paramString

  params for the tag open

### e

    protected Element e

  the element that gets wrapped

Constructor Detail

### WrapElement

    public WrapElement(java.lang.String wrapString)

  Construct a WrapElement with just a wrapping string

Parameters:
  `wrapString` - the html tag that gets wrapped around the element

### WrapElement

    public WrapElement(java.lang.String wrapString,
                       Element e)

  Construct a WrapElement with a wrapping string and element

Parameters:
  `wrapString` - the html tag that gets wrapped around the element
  `e` - the element that gets contained

### WrapElement

    public WrapElement(java.lang.String wrapString,
                       java.lang.String paramString)

  Construct a WrapElement with a wrapping string and params

Parameters:
  `wrapString` - the html tag that gets wrapped around the element
  `paramString` - the string that gets contained

### WrapElement

    public WrapElement(java.lang.String wrapString,
                       java.lang.String paramString,
                       Element e)

  Construct a WrapElement with a wrapping string, params and element

Parameters:
  `wrapString` - the html tag that gets wrapped around the element
  `e` - the element that gets contained

Method Detail

### setElement

    public void setElement(Element e)

  Writer for the Element attribute

  Parameters:
    `e` - the new element value

### getElement

    public Element getElement()

  Accessor for the element attribute

  Returns:
    the contained element

### generate

    public void generate(java.io.Writer out)
                  throws java.io.IOException

  convert representation to html and write it out

  Specified by:
    `generate` in interface `Element`
  Parameters:
    `out` - the output Writer
  Throws:
    `java.io.IOException` - an IO error occurred accessing out

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details